/* -*- c++ -*- */
/*
 * Copyright 2013, 2014 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * GNU Radio is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3, or (at your option)
 * any later version.
 *
 * GNU Radio is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GNU Radio; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street,
 * Boston, MA 02110-1301, USA.
 */

#if HAVE_CONFIG_H
#include <config.h>
#endif

#include <stdlib.h>
#include <volk/constants.h>

const char*
volk_prefix()
{
  const char *prefix = getenv("VOLK_PREFIX");
  if (prefix != NULL) return prefix;
  return "/usr";
}

const char*
volk_version()
{
  return "1.4";
}

const char*
volk_c_compiler()
{
  return "cc (SUSE Linux) 8.3.1 20190226 [gcc-8-branch revision 269204] \nCopyright (C) 2018 Free Software Foundation, Inc. \nThis is free software see the source for copying conditions.  There is NO \nwarranty not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.";
}

const char*
volk_compiler_flags()
{
  return "/usr/bin/cc:::-O2 -g -DNDEBUG -fomit-frame-pointer -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector-strong -funwind-tables -fasynchronous-unwind-tables -fstack-clash-protection -g -DNDEBUG -std=gnu99 -fvisibility=hidden -Wsign-compare -Wno-uninitialized -Wall \n/usr/bin/c++:::-O2 -g -DNDEBUG -fomit-frame-pointer -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector-strong -funwind-tables -fasynchronous-unwind-tables -fstack-clash-protection -g -DNDEBUG -fvisibility=hidden -Wsign-compare -Wno-uninitialized -Wall \ngeneric_orc:::GNU:::-O2 -g -DNDEBUG -fomit-frame-pointer -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector-strong -funwind-tables -fasynchronous-unwind-tables -fstack-clash-protection -g -DNDEBUG -std=gnu99 -fvisibility=hidden -Wsign-compare -Wno-uninitialized -Wall  \nsse2_32_mmx_orc:::GNU:::-O2 -g -DNDEBUG -fomit-frame-pointer -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector-strong -funwind-tables -fasynchronous-unwind-tables -fstack-clash-protection -g -DNDEBUG -std=gnu99 -fvisibility=hidden -Wsign-compare -Wno-uninitialized -Wall -m32 -mmmx -msse -msse2 \nsse3_32_mmx_orc:::GNU:::-O2 -g -DNDEBUG -fomit-frame-pointer -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector-strong -funwind-tables -fasynchronous-unwind-tables -fstack-clash-protection -g -DNDEBUG -std=gnu99 -fvisibility=hidden -Wsign-compare -Wno-uninitialized -Wall -m32 -mmmx -msse -msse2 -msse3 \nssse3_32_mmx_orc:::GNU:::-O2 -g -DNDEBUG -fomit-frame-pointer -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector-strong -funwind-tables -fasynchronous-unwind-tables -fstack-clash-protection -g -DNDEBUG -std=gnu99 -fvisibility=hidden -Wsign-compare -Wno-uninitialized -Wall -m32 -mmmx -msse -msse2 -msse3 -mssse3 \nsse4_a_32_mmx_orc:::GNU:::-O2 -g -DNDEBUG -fomit-frame-pointer -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector-strong -funwind-tables -fasynchronous-unwind-tables -fstack-clash-protection -g -DNDEBUG -std=gnu99 -fvisibility=hidden -Wsign-compare -Wno-uninitialized -Wall -m32 -mmmx -msse -msse2 -msse3 -msse4a -mpopcnt \nsse4_1_32_mmx_orc:::GNU:::-O2 -g -DNDEBUG -fomit-frame-pointer -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector-strong -funwind-tables -fasynchronous-unwind-tables -fstack-clash-protection -g -DNDEBUG -std=gnu99 -fvisibility=hidden -Wsign-compare -Wno-uninitialized -Wall -m32 -mmmx -msse -msse2 -msse3 -mssse3 -msse4.1 \nsse4_2_32_mmx_orc:::GNU:::-O2 -g -DNDEBUG -fomit-frame-pointer -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector-strong -funwind-tables -fasynchronous-unwind-tables -fstack-clash-protection -g -DNDEBUG -std=gnu99 -fvisibility=hidden -Wsign-compare -Wno-uninitialized -Wall -m32 -mmmx -msse -msse2 -msse3 -mssse3 -msse4.1 -msse4.2 -mpopcnt";
}

const char*
volk_available_machines()
{
  return "generic_orc;sse2_32_mmx_orc;sse3_32_mmx_orc;ssse3_32_mmx_orc;sse4_a_32_mmx_orc;sse4_1_32_mmx_orc;sse4_2_32_mmx_orc";
}
